# mp3/www/admin/file-search.tcl

# Search to pick a file and give options for what to do

ad_page_contract {

    @author wirth@ybos.net
} {
    search_string
    playlist_id:optional

} -properties {

   mp3s:multirow
   playlist_id:onevalue
}

set user_id [ad_conn user_id]
#requires admin permission as under /admin

if { ![info exists search_string] } {
    set search_string ""
}

set select_sql [mp3_search_select_sql search_string]

set title "File Search"
set context [list $title]
set page_title "File Search"

db_multirow mp3s mp3_search  "$select_sql"

ad_return_template
