#/mp3/admin/index.tcl
ad_page_contract {
    @author tigre@ybos.net
    @creation-date 8 March 2001
} {
} -properties {
    
    playlists:multirow
    mp3s:multirow
    playlist_permission_p:onevalue
    mp3_permission_p:onevalue  
}

set title "MP3 Jukebox Administration"
set context ""
set page_title "MP3 Jukebox Administration"

#requires admin permission as under /admin
set package_id [ad_conn package_id]

# @author jennie@ybos.net
db_multirow playlists playlist_info "
    select name, mp.playlist_id, nvl(sc.songs,0) as songs 
    from   acs_objects, mp3_playlists mp,
           mp3_playlist_song_count sc
    where object_id = mp.playlist_id
     and context_id = :package_id
     and mp.playlist_id = sc.playlist_id(+)
    order by name
" 
db_multirow mp3s mp3_info "
select title, mp3_id, creation_date
from   (select title, mp3_id, creation_date
        from   mp3_mp3s_not_deleted, acs_objects
        where  mp3_id = object_id
        and    creation_date > sysdate - 1
        order by creation_date desc)
where  rownum < 10
"
