# mp3/www/admin/file-search.tcl

# Search to pick a file and give options for what to do

ad_page_contract {

    @author wirth@ybos.net
} {
   
    playlist_id
    new_mp3

} -properties {

   mp3s:multirow
   playlist_id:onevalue
   new_mp3:onevalue
   name:onevalue
}

set user_id [ad_conn user_id]

#requires admin permission as under /admin

set title "Choose Order"
set context [list $title]
set page_title "Order MP3 in Playlist"

db_1row playlist_name "select name from mp3_playlists where playlist_id=$playlist_id"
set mp3_title [db_string mp3_name "select title from mp3_mp3s where mp3_id=:new_mp3"]

db_multirow playlist_mp3s mp3_info "
    select sort_key,
    mp.title as title, map.mp3_id as mp3_id
    from mp3_mp3_playlist_map map, 
    mp3_mp3s mp
    where playlist_id=:playlist_id 
    and map.mp3_id=mp.mp3_id
    order by sort_key
" {} if_no_rows {
    ad_returnredirect playlist-item-add-2?playlist_id=$playlist_id&insert_after_id=-1&mp3_id=$new_mp3
    ad_script_abort
}

ad_return_template