# /packages/mp3jukebox/www/admin/playlist-create.tcl

ad_page_contract {

    This page serves a UI to edit a playlist

    @author wirth@ybos.net
    @creation-date 2000-03-02

} {

    playlist_id:naturalnum,notnull
    
} -properties {

    page_title:onevalue
    context:onevalue
    form_action:onevalue
    hidden_vars:onevalue
    name
    remove_threshold:onevalue
    f_checked:onevalue
    t_checked:onevalue
    escape_name:onevalue
}

set title "Edit a Playlist"
set context [list $title]
set page_title "Edit a Playlist"

#requires admin permission as under /admin

set form_action playlist-edit-2
set hidden_vars [export_form_vars playlist_id]

if {![db_0or1row playlist_info "
        select name, remove_threshold
        from mp3_playlists
        where playlist_id=:playlist_id
"]} {

     ad_return_error "There is no playlist with the id @playlist_id@. Please use the back button on your browser and try again."
     return -code return

}

set ui_remove_threshold [expr -1 * $remove_threshold]

set escape_name [ad_quotehtml $name]

ad_return_template

