<?xml version="1.0"?>
<queryset>

<fullquery name="check_file_name">      
      <querytext>
      
        select deleted_p 
        from   mp3_mp3s
        where  file_path = :client_filename
      </querytext>
</fullquery>

 
<fullquery name="get_mp3_id">      
      <querytext>
      
select mp3_id 
from   mp3_mp3s 
where  file_path = :client_filename
      </querytext>
</fullquery>


<fullquery name="undelete_mp3">      
      <querytext>
      
update mp3_mp3s
set	file_path = :client_filename,
	title = :mp3_title,
	artist = :artist,
	bitrate = :bitrate,
	album = :album,
	tracknum = :tracknum,
	genre = :genre,
	year = :year,
	layer = :layer,
	copyright_p = :copyright_p,
	version = :version,
	mode_num = :mode_num,
	stereo_p = :stereo_p,
	frequency = :frequency,
	minutes = :minutes,
        deleted_p = 'f'
where  mp3_id = :mp3_id

      </querytext>
</fullquery>


<fullquery name="fix_creation">      
      <querytext>
      
update acs_objects
set    creation_user = :creation_user,
       creation_ip = :creation_ip,
       creation_date = current_timestamp,
       context_id = :package_id
where object_id = :mp3_id

      </querytext>
</fullquery>

 
</queryset>
