ad_library {

    general procs for the MP3 Jukebox.

    @author wirth@ybos.net
    @creation-date Mar-12-2001
    taken largely from cm-defs.tcl
}


ad_proc -public mp3_search_select_sql {
    {
	-order_by "upper(title)"
	-conditions ""
    }
    search_string_name
} { 
 Returns the sql to perform the file search based on the search string 
 stored in the named variable and any additional search criteria.
 Additional conditions must be valid SQL with a leading 'and' 
} {
    return "
select title, artist, album, mp3_id
from   mp3_mp3s_not_deleted
where  upper(title) like '%' || upper(:$search_string_name) || '%'
or     upper(artist) like '%' || upper(:$search_string_name) || '%'
$conditions
order by $order_by"
}


ad_proc db_nullify_empty_string {
    string
} {
 Added by Ola Hansson (rockola@mail.com) to ease the porting of mp3jukebox. 
} {
    return $string
}
